<?php

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $dinamica_id    = $decoded['dinamica_id'];
  $datetoday      = date('Y-m-d');

  if( $usr_id ){

    //User
    $Query = "
      SELECT
        usr.id, usr.fk_usuario_tipo
      FROM usuarios_app usr
      WHERE
        usr.Id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
	  $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      //Valida Dinamica
      $Where = "
        WHERE din.id = '$dinamica_id'
        AND din.fk_usuario_tipo = '$Usr[fk_usuario_tipo]'
        AND din.fechainicio <= '$datetoday' AND din.fechalimite >= '$datetoday'
      ";

      //Validación de Dinamicas
      $Query = "
        SELECT
          din.id,
          din.fk_dinamica_tipo AS id_tipo_dinamica,
          tip.tipo,
          din.nombre, din.descripcion,
          din.fechainicio, din.fechalimite
        FROM dinamicas din
        LEFT JOIN dinamicas_tipos tip ON tip.id = din.fk_dinamica_tipo
        $Where
      ";
      $Result = mysqli_query($mysqli, $Query);
  	  $Dinamica = mysqli_fetch_assoc($Result);
      if( $Dinamica[id] ){

        $Din = array(
          'dinamica_id'       => $Dinamica[id],
          'id_tipo_dinamica'  => $Dinamica[id_tipo_dinamica],
          'tipo'              => $Dinamica[tipo],
          'nombre'            => $Dinamica[nombre],
          'descripcion'       => $Dinamica[descripcion],
          'fecha_inicio'      => $Dinamica[fechainicio],
          'fecha_limite'      => $Dinamica[fechalimite]
        );

        // $Data = array(
        //   'dinamica'   => $Din
        // );
        echo json_encode($Din, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }else{

        //Error
        $Query = "
          SELECT
            err.Id, err.error, err.msn
          FROM api_errores err
          WHERE err.error = 'di-1'
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Error = mysqli_fetch_assoc($Result);

        $Data = array(
          'action'      => 'error',
          'error'       => $Error[error],
          'error_msn'   => $Error[msn]
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }else{

      //Error
      $Query = "
        SELECT
          err.Id, err.error, err.msn
        FROM api_errores err
        WHERE err.error = 'di-1'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Error = mysqli_fetch_assoc($Result);

      $Data = array(
        'action'      => 'error',
        'error'       => $Error[error],
        'error_msn'   => $Error[msn]
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }

?>
